Skip to main content
GET
/
api2
/
v1
/
lqa
/
profiles
GET list LQA profiles
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/lqa/profiles \
  --header 'Authorization: <api-key>'
{
  "totalElements": 123,
  "totalPages": 123,
  "pageSize": 123,
  "pageNumber": 123,
  "numberOfElements": 123,
  "content": [
    {
      "uid": "string",
      "name": "<string>",
      "isDefault": true,
      "createdBy": {
        "firstName": "<string>",
        "lastName": "<string>",
        "userName": "<string>",
        "email": "<string>",
        "role": "SYS_ADMIN",
        "id": "<string>",
        "uid": "<string>"
      },
      "dateCreated": "2023-11-07T05:31:56Z",
      "organization": {
        "uid": "<string>"
      }
    }
  ],
  "sort": {
    "orders": [
      {
        "direction": "ASC",
        "property": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Query Parameters

name
string

Name of LQA profiles, it is used for filter the list by name

createdBy
string

It is used for filter the list by who created the profile

dateCreated
string

It is used for filter the list by date created

pageNumber
integer<int32>
default:0

Page number, starting with 0, default 0

Required range: x >= 0
pageSize
integer<int32>
default:20

Page size, accepts values between 1 and 50, default 20

Required range: 1 <= x <= 50
sort
enum<string>[]
Available options:
NAME,
CREATED_BY,
DATE_CREATED
order
enum<string>[]
Available options:
ASC,
DESC

Response

successful operation

totalElements
integer<int32>
totalPages
integer<int32>
pageSize
integer<int32>
pageNumber
integer<int32>
numberOfElements
integer<int32>
content
object[]
sort
object